conv.h File Reference
Convolutional encoding and decoding routines
`#include <stdint.h>`
`#include <osmocom/core/bits.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_conv_code
| structure describing a given convolutional code More...
struct | osmo_conv_encoder
| convolutional encoder state More...
struct | osmo_conv_decoder
| convolutional decoder state More...

## Enumerations

enum | osmo_conv_term { CONV_TERM_FLUSH = 0, CONV_TERM_TRUNCATION, CONV_TERM_TAIL_BITING }
| possibe termination types More...

## Functions

int | osmo_conv_get_input_length (const struct osmo_conv_code *code, int len)
int | osmo_conv_get_output_length (const struct osmo_conv_code *code, int len)
void | osmo_conv_encode_init (struct osmo_conv_encoder *encoder, const struct osmo_conv_code *code)
| Initialize a convolutional encoder. More...
void | osmo_conv_encode_load_state (struct osmo_conv_encoder *encoder, const ubit_t *input)
int | osmo_conv_encode_raw (struct osmo_conv_encoder *encoder, const ubit_t *input, ubit_t *output, int n)
int | osmo_conv_encode_flush (struct osmo_conv_encoder *encoder, ubit_t *output)
int | osmo_conv_encode (const struct osmo_conv_code *code, const ubit_t *input, ubit_t *output)
| All-in-one convolutional encoding function. More...
void | osmo_conv_decode_init (struct osmo_conv_decoder *decoder, const struct osmo_conv_code *code, int len, int start_state)
void | osmo_conv_decode_reset (struct osmo_conv_decoder *decoder, int start_state)
void | osmo_conv_decode_rewind (struct osmo_conv_decoder *decoder)
void | osmo_conv_decode_deinit (struct osmo_conv_decoder *decoder)
int | osmo_conv_decode_scan (struct osmo_conv_decoder *decoder, const sbit_t *input, int n)
int | osmo_conv_decode_flush (struct osmo_conv_decoder *decoder, const sbit_t *input)
int | osmo_conv_decode_get_output (struct osmo_conv_decoder *decoder, ubit_t *output, int has_flush, int end_state)
int | osmo_conv_decode (const struct osmo_conv_code *code, const sbit_t *input, ubit_t *output)
| All-in-one convolutional decoding function. More...

## Detailed Description

Osmocom convolutional encoder and decoder